## audit 3.0.7

=== debian/changelog ===
audit (1:3.0.7-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:40 +0100

audit (1:3.0.7-1) unstable; urgency=medium

  * New upstream version 3.0.7
    - debian/libaudit1.symbols: audit_add_dir has been dropped upstream
  * debian/control: Tighten the dependencies against the libraries
  * debian/control: Drop the Built-Using field from golang-redhat-audit-dev

 -- Laurent Bigonville <bigon@debian.org>  Fri, 11 Feb 2022 11:34:48 +0100

audit (1:3.0.6-1) unstable; urgency=medium

  * New upstream version 3.0.6
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 09 Oct 2021 11:45:31 +0200

audit (1:3.0.5-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop unused intltool build dependency. (Closes: #981262)

  [ Laurent Bigonville ]
  * New upstream version 3.0.5
    - debian/libauparse0.symbols: Add new exported symbols
  * Drop d/p/0004-Turn-libaucommon-into-a-libtool-convenience-library-.patch,
    merged upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Aug 2021 11:22:57 +0200
