=== debian/watch ===
version=4

opts="uversionmangle=s/-(alpha)/~$1/" \
https://people.redhat.com/sgrubb/audit/ audit-@ANY_VERSION@@ARCHIVE_EXT@
