## audit 3.1.1

=== debian/changelog ===
audit (1:3.1.1-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * Bump to debhelper compat level 13

  [ Laurent Bigonville ]
  * New upstream release
    - debian/patches/02-restorecon-path.patch: Refresh 
    - debian/auditd.install: Install new audisp-af_unix executable
    - debian/libaudit1.symbols: Add newly exported symbols
  * debian/patches/03-Set-log_group-adm.patch: Tag as Forwarded: not-needed

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 Jul 2023 10:19:11 +0200
