=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: audit
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python <!nopython>,
 #               dh-golang,
                dpkg-dev (>= 1.16.1~),
