## audit 3.1.2

=== debian/changelog ===
audit (1:3.1.2-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Install aliased files into canonical locations in /usr. (DEP17 M2)
    (Closes: #1060167)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 24 Jan 2024 16:05:18 +0100

audit (1:3.1.2-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * d/rules: enable io_uring support
  * d/changelog: fix typos

  [ Laurent Bigonville ]
  * New upstream release
    - d/p/04-auditswig-i-avoid-setter-generation-for-audit-rule-data.patch:
      Dropped, applied upstream
  * debian/control: Switch BD from golang-go to golang-any (Closes: #1030940)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 06 Dec 2023 20:15:29 +0100
