=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-all-dev:any <!nopython>,
                libpython3-all-dev <!nopython>,
                swig
-Build-Depends-Indep: golang-go
+Build-Depends-Indep: golang-any
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://people.redhat.com/sgrubb/audit/
