## audit 4.0.1

=== debian/changelog ===
audit (1:4.0.1-3) unstable; urgency=medium

  * Drop debian/patches/02-restorecon-path.patch, restorecon is in /usr now
  * d/tests/954257-regression: Fix the test, python module has removed API

 -- Laurent Bigonville <bigon@debian.org>  Mon, 04 Nov 2024 13:46:34 +0100

audit (1:4.0.1-2) unstable; urgency=medium

  * debian/auditd.NEWS: Fix typo
  * Fix the test causing the FTBFS.
    Detect at runtime the user with the UID42 (Closes: #1078810)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 30 Oct 2024 20:23:54 +0100

audit (1:4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * debian/patches/01-no-refusemanualstop.patch: Refreshed
  * d/p/test_fix_gdm_uid.patch: Fix the test as we don't have a fixed UID for
    the gdm user
  * Fix issue with installation of the swig binding when python binary is not
    installed
  * debian/auditd.install: Remove auvirt and autrace, dropped upstream
  * debian/auditd.install: Ship new audisp-filter plugin
  * debian/not-installed: Do not ship these legacy-actions initscripts
  * d/libaudit-dev.install: Ship audit-records.h and audit_logging.h in the
    -dev package
  * Adjust the symbols files
  * debian/control: Bump Standards-Version to 4.7.0 (no further changes)
  * Adjust some of the installed files due to upstream changes in the build
    system

 -- Laurent Bigonville <bigon@debian.org>  Fri, 09 Aug 2024 11:04:10 +0200

audit (1:3.1.2-4) unstable; urgency=medium

  * debian/clean: Do not remove debian/libauparse0t64.preinst, that file is
    not generated by debian/rules anymore, but by debhelper itself

 -- Laurent Bigonville <bigon@debian.org>  Tue, 11 Jun 2024 08:32:32 +0200

audit (1:3.1.2-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix piuparts failure arising from /usr-move mitigation. (Closes: #1070327)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 Jun 2024 19:07:26 +0200

audit (1:3.1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061926

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 03:02:13 +0000
