## audit 4.0.2

=== debian/changelog ===
audit (1:4.0.2-2ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:49:23 +0000

audit (1:4.0.2-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Ignore test results for now, the fail in Debian same way
      on mips64el and riscv64.
    - Mark one test as flaky, the Python api changed.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 18:29:42 +0100

audit (1:4.0.2-2) unstable; urgency=medium

  * debian/rules: Fix the building of the python module for the non default
    version (Closes: #1087473)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 14 Nov 2024 22:10:09 +0100

audit (1:4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
    - Drop d/p/0005-Do-not-try-to-override-the-value-of-the-PYTHON-varia.patch,
      applied upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 11 Nov 2024 23:19:00 +0100

audit (1:4.0.1-1ubuntu2) oracular; urgency=medium

  * No-change rebuild to disable frame pointers on ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 13:14:48 +0200

audit (1:4.0.1-1ubuntu1) oracular; urgency=medium

  * Ignore test results for now, the fail in Debian same way
    on mips64el and riscv64
  * Mark one test as flaky, the Python api changed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Aug 2024 09:04:24 +0200
