=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: audit
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dh-python <!nopython>,
 #               dh-golang,
                dpkg-dev (>= 1.16.1~),
@@ -16,7 +16,7 @@
                libpython3-all-dev <!nopython>,
                swig
 Build-Depends-Indep: golang-any
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://people.redhat.com/sgrubb/audit/
 Vcs-Git: https://salsa.debian.org/debian/audit.git
@@ -27,7 +27,7 @@
 Section: admin
 Architecture: linux-any
 Depends: libaudit1 (= ${binary:Version}),
-         libauparse0 (= ${binary:Version}),
+         libauparse0t64 (= ${binary:Version}),
          mawk | gawk,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -41,7 +41,10 @@
  .
  Also contains the audit dispatcher "audisp".
 
-Package: libauparse0
+Package: libauparse0t64
+Provides: ${t64:Provides}
+Replaces: libauparse0
+Breaks: libauparse0 (<< ${source:Version})
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libaudit1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -51,14 +54,14 @@
  applications to use the audit framework. It is used to monitor systems for
  security related events.
  .
- This package contains the libauparse0 library.
+ This package contains the libauparse0t64 library.
 
 Package: libauparse-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libauparse0 (= ${binary:Version}), ${misc:Depends}
+Depends: libauparse0t64 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
-Description: Header files and static library for the libauparse0 library
+Description: Header files and static library for the libauparse0t64 library
  The audit-libs parse package contains the dynamic libraries needed for
  applications to use the audit framework. It is used to monitor systems for
  security related events.
@@ -101,7 +104,7 @@
 Section: python
 Architecture: linux-any
 Depends: libaudit1 (= ${binary:Version}),
-         libauparse0 (= ${binary:Version}),
+         libauparse0t64 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -127,7 +130,7 @@
 Section: admin
 Architecture: linux-any
 Depends: auditd (= ${binary:Version}),
-         libauparse0 (= ${binary:Version}),
+         libauparse0t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Build-Profiles: <!pkg.audit.noldap>
