## audit 4.0.5

=== debian/changelog ===
audit (1:4.0.5-1build1) questing; urgency=medium

  * NCR to pick up GCS on arm64

 -- Valentin Haudiquet <valentin.haudiquet@canonical.com>  Thu, 11 Sep 2025 16:16:30 +0200

audit (1:4.0.5-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01-no-refusemanualstop.patch: Refreshed
    - d/p/0003-syslog-Fix-duplicate-libauparse-and-missing-libaudit.patch:
      Fix FTBFS in syslog plugin
  * debian/watch: Update the URL to use the github tags, the former page is
    not updated anymore
  * Install debianized auditd tmpfiles snippet (Closes: #1065156)
  * debian/auditd.install: Install auditd.cron.5 manpage
  * debian/libaudit1.symbols: Add newly exported symbols
  * debian/copyright: Update the FSF address to please lintian
  * debian/control: Bump Standards-Version to 4.7.2 (no further changes)
  * debian/rules: Enable riscv processor support

 -- Laurent Bigonville <bigon@debian.org>  Mon, 30 Jun 2025 12:54:05 +0200
