=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libpython3-all-dev <!nopython>,
                swig
 Build-Depends-Indep: golang-any
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://people.redhat.com/sgrubb/audit/
 Vcs-Git: https://salsa.debian.org/debian/audit.git
