=== debian/rules ===
--- 
+++ 
@@ -35,9 +35,6 @@
 %:
 	dh $@ --builddirectory=debian/build --buildsystem=autoconf $(DH_ADDONS)
 
-override_dh_auto_test:
-	-dh_auto_test
-
 override_dh_auto_configure: debian/config-python-stamp $(PY3VERS:%=debian/config-python3-%-stamp)
 debian/config-python-stamp:
 	dh_testdir
@@ -58,7 +55,7 @@
 		--with-libcap-ng \
 		--with-io_uring \
 		$(CONFIGURE_FLAGS) \
-		--with-arm --with-aarch64 ${EXTRA_ARCH_TABLE}
+		--with-arm --with-aarch64 --with-riscv ${EXTRA_ARCH_TABLE}
 	touch $@
 debian/config-python3-%-stamp: debian/config-python-stamp
 	cp -lpr debian/build/bindings/swig   debian/build/bindings/swig3.$*
