## audit 4.1.1

=== debian/changelog ===
audit (1:4.1.1-1~exp1) experimental; urgency=medium

  * New upstream release
    - Drop d/p/0003-syslog-Fix-duplicate-libauparse-and-missing-libaudit.patch,
      applied upstream
    - debian/rules: Remove mangling of the test results, they don't contain
      username anymore, only UID
  * debian/libauparse0t64.lintian-overrides: Drop unused override
  * debian/patches/debian-tmpfiles.patch: Add missing headers
  * d/libaudit-dev.install: Drop set_aumessage_mode.3 manpage, the function is
    now private.  Also drop the symbol from libaudit1.symbols file
  * Install bash completion for audit executables
  * Create new packages for new libauplugin library
  * debian/libauparse0t64.symbols: Add audit_msg function
  * debian/control: Rewrite some of the descriptions (Closes: #1040775)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 01 Sep 2025 10:01:06 +0200
