=== debian/rules ===
--- 
+++ 
@@ -30,20 +30,12 @@
   CONFIGURE_FLAGS += --disable-listener
 endif
 
-UID42 = $(shell LC_ALL=C id -un 42 2>/dev/null || echo 'unknown\(42\)')
-
 %:
 	dh $@ --builddirectory=debian/build --buildsystem=autoconf $(DH_ADDONS)
 
 override_dh_auto_configure: debian/config-python-stamp $(PY3VERS:%=debian/config-python3-%-stamp)
 debian/config-python-stamp:
 	dh_testdir
-	# Detect at runtime the user with UID 42
-	cp -f auparse/test/auparse_test.ref auparse/test/auparse_test.ref.orig
-	sed -e "s/gdm/${UID42}/" auparse/test/auparse_test.ref.orig > auparse/test/auparse_test.ref
-	cp -f auparse/test/auparse_test.ref.py auparse/test/auparse_test.ref.py.orig
-	sed -e "s/gdm/${UID42}/" auparse/test/auparse_test.ref.py.orig > auparse/test/auparse_test.ref.py
-
 # We should also have "--with-golang" but it's not available in all arch and
 # the golang binding package is arch:all anyway.
 	dh_auto_configure -- \
@@ -63,8 +55,6 @@
 	touch $@
 
 override_dh_auto_clean:
-	mv -f auparse/test/auparse_test.ref.orig auparse/test/auparse_test.py || true
-	mv -f auparse/test/auparse_test.ref.py.orig auparse/test/auparse_test.ref.py || true
 	$(RM) debian/*-stamp
 	dh_auto_clean
