=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: audit
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                dh-python <!nopython>,
 #               dh-golang,
                dpkg-dev (>= 1.16.1~),
+               dpkg-dev (>= 1.22.5),
                libcap-ng-dev,
 # audit sources embed their own patched version of libev
 #               libev-dev,
@@ -35,9 +37,8 @@
 Breaks: audispd-plugins (<< 1:3.0~)
 Pre-Depends: ${misc:Pre-Depends}
 Description: User space tools for security auditing
- The audit package contains the user space utilities for
- storing and searching the audit records generated by
- the audit subsystem in the Linux 2.6 kernel.
+ This package contains the user space utilities for storing and searching the
+ audit records generated by the audit subsystem in the Linux kernel.
  .
  Also contains the audit dispatcher "audisp".
 
@@ -50,9 +51,8 @@
 Depends: libaudit1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Dynamic library for parsing security auditing
- The libauparse package contains the dynamic libraries needed for
- applications to use the audit framework. It is used to monitor systems for
- security related events.
+ This package contains the dynamic libraries needed for applications to use the
+ audit framework. It is used to monitor systems for security related events.
  .
  This package contains the libauparse0t64 library.
 
@@ -62,9 +62,8 @@
 Depends: libauparse0t64 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Header files and static library for the libauparse0t64 library
- The audit-libs parse package contains the dynamic libraries needed for
- applications to use the audit framework. It is used to monitor systems for
- security related events.
+ This package contains the static libraries and header files needed for
+ parsing security events.
 
 Package: libaudit1
 Architecture: linux-any
@@ -74,21 +73,16 @@
          ${shlibs:Depends}
 Multi-Arch: same
 Description: Dynamic library for security auditing
- The audit-libs package contains the dynamic libraries needed for
- applications to use the audit framework. It is used to monitor systems for
- security related events.
+ This package contains the dynamic libraries needed for applications to use the
+ audit framework. It is used to monitor systems for security related events.
 
 Package: libaudit-common
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: Dynamic library for security auditing - common files
- The audit-libs package contains the dynamic libraries needed for
- applications to use the audit framework. It is used to monitor systems for
- security related events.
- .
- This package contains the libaudit.conf configuration file and the associated
- manpage.
+ This package contains the libaudit.conf configuration file needed by libaudit
+ and the associated manpage.
 
 Package: libaudit-dev
 Section: libdevel
@@ -96,9 +90,8 @@
 Depends: libaudit1 (= ${binary:Version}), libcap-ng-dev, ${misc:Depends}
 Multi-Arch: same
 Description: Header files and static library for security auditing
- The audit-libs-devel package contains the static libraries and header
- files needed for developing applications that need to use the audit
- framework libraries.
+ This package contains the static libraries and header files needed for
+ developing applications that need to use the audit framework libraries.
 
 Package: python3-audit
 Section: python
@@ -135,7 +128,23 @@
          ${shlibs:Depends}
 Build-Profiles: <!pkg.audit.noldap>
 Description: Plugins for the audit event dispatcher
- The audispd-plugins package provides plugins for the real-time
- interface to the audit system, audispd. These plugins can do things
- like relay events to remote machines or analyze events for suspicious
- behavior.
+ This package provides plugins for the real-time interface to the audit system,
+ audispd. These plugins can do things like relay events to remote machines or
+ analyze events for suspicious behavior.
+
+Package: libauplugin1
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: Dynamic library for auditd plugins
+ This package contains the dynamic libraries needed for the auditd plugins.
+
+Package: libauplugin-dev
+Section: libdevel
+Architecture: linux-any
+Depends: libauplugin1 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: Header files and static library for auditd plugins
+ This package contains the static libraries and header files needed for
+ developing auditd plugins.
