=== debian/tests/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Regression test for bug #954257
 Tests: 954257-regression
 Depends: python3-all, python3-audit
-Restrictions: allow-stderr, superficial, flaky
+Restrictions: allow-stderr, superficial
 
 Tests: libaudit-build
 Depends: build-essential, libaudit-dev, pkg-config
