## audit trail

=== Makefile ===
subdir = contrib/audit_trail
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

MODULES = audit_trail
DATA_built = audit_trail.sql
DOCS = README.audit_trail

include $(top_srcdir)/contrib/contrib-global.mk
